org.apache.poi.hwmf.record

## Enum HwmfPenStyle.HwmfLineCap

- java.lang.Object
- - java.lang.Enum<HwmfPenStyle.HwmfLineCap>
  - - org.apache.poi.hwmf.record.HwmfPenStyle.HwmfLineCap

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HwmfPenStyle.HwmfLineCap>
  Enclosing class:
    HwmfPenStyle

      public static enum HwmfPenStyle.HwmfLineCap
      extends java.lang.Enum<HwmfPenStyle.HwmfLineCap>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FLAT` Line ends at end point
    `ROUND` Rounded ends
    `SQUARE` Square protrudes by half line width

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `awtFlag`
    `int` | `wmfFlag`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HwmfPenStyle.HwmfLineCap` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HwmfPenStyle.HwmfLineCap[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ROUND

          public static final HwmfPenStyle.HwmfLineCap ROUND

      Rounded ends

    - #### SQUARE

          public static final HwmfPenStyle.HwmfLineCap SQUARE

      Square protrudes by half line width

    - #### FLAT

          public static final HwmfPenStyle.HwmfLineCap FLAT

      Line ends at end point

  - ### Field Detail

    - #### wmfFlag

          public final int wmfFlag

    - #### awtFlag

          public final int awtFlag

  - ### Method Detail

    - #### values

          public static HwmfPenStyle.HwmfLineCap[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HwmfPenStyle.HwmfLineCap c : HwmfPenStyle.HwmfLineCap.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HwmfPenStyle.HwmfLineCap valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.